


  
  
# Spotlight Comment Collection  
***by Ian Kirkland***  
  
Description  
-----------------------
  
Tags may very well be alive and kicking in OS X. But when it comes to hunting down items in Finder, Spotlight Comments have, by no means, lost any of their moxie. In fact, it's precisely their forgiving, format-agnostic approach to metadata that make them so useful.  
  
With Spotlight Comments you can implement a sort of 'custom attribute system', fine-tune your Spotlight searches and Smart Folders by including keywords (much like we did in the pre-tag era), and even use them for the most obvious reasons: including information about a file *with* the file without being required to put it *inside* the file. It's pretty amazing when you think about it.  
  
The less amazing part is actually using Spotlight Comments. I can't think of a clunkier way to interact with files than having to manually enter text via the Finder information panel — especially when you're dealing with multiple items. If you're not in the mood to fiddle with Automator or other more limited workarounds – or if you're ready to unlock the potential of bringing Keyboard Maestro clipboards, variables, and built-in functions to Spotlight – then get this set of plugin actions **now** and put your metadata to work.  
  
  
  
  
Actions  
-----------------------
  
#### Get Spotlight Comments  
This action gets the combined Spotlight Comments of 1 or more selected Finder items and allows you to place it on the clipboard (see also: the simpler "Copy Spotlight Comments" action), save it to variable, display it briefly or in a window, or insert the result by typing or pasting it.  
![](http://ianthekirkland.com/imgs/km-SpotlightComment-Get.png "km-SpotlightComment-Get.png")  
  
#### Add Spotlight Comments  
The "Add Spotlight Comments" action enables you to add pre-defined text and Keyboard Maestro tokens to multiple Finder items, making this action the most versatile and extensible way to add Spotlight Comments. This is where you can really take your metadata to a whole new level by getting creative with Keyboard Maestro's incredible set of functions and other built-in tokens.  
![](http://ianthekirkland.com/imgs/km-SpotlightComment-Add.png "km-SpotlightComment-Add.png")  
  
#### Quick Add Spotlight Comments  
This action allows you to define the added comments at runtime via a popup dialog. The dialog's text field also processes any Keyboard Maestro tokens you decide to throw at it, so go wild. Note that, by default, the dialog will give you the choice of replacing or appending to the existing Spotlight Comments. If you know you will always be appending and don't feel like choosing between 3 buttons all the time, simply uncheck the "include replace option" checkbox. The prompt will then include a more basic "OK" and "Cancel" and the action will always append new comments.  
![](http://ianthekirkland.com/imgs/km-SpotlightComment-QuickAdd.png "km-SpotlightComment-QuickAdd.png")  
  
#### Remove Spotlight Comments  
This action does exactly what it says: it removes the Spotlight comments from all of the selected Finder items. If you are prone to accidental deletions and other 'oopses', the action comes with a "Require confirmation" feature that, if checked, will ask for your approval when the action is run.  
![](http://ianthekirkland.com/imgs/km-SpotlightComment-Remove.png "km-SpotlightComment-Remove.png")  
  
#### Names to Spotlight Comments  
I frequently work with multiple versions of source files that have conflicting, outdated, or non-semantic names. Cryptically-named files like "DSC_9881" and 9d60ef29bc96d23cf87b92ddc9aff081.jpg" can become a pain to deal with. Renaming these files creates additional problems when you need to access their  original names. This is why I created this plugin action. It allows me to select an entire collection of Finder items and add each item's existing name to its Spotlight Comment field, thus leaving me with the ability to search for a given file by its new or old name. "Names to Spotlight Comments" also comes with a couple options. The first, like several other plugin actions in the Spotlight Comment Collection, lets you choose whether to add to or overwrite existing comments. The second option allows you to toggle between the default mode (where each item name goes in its own comment) and the alternate mode (where the entire list of selected item names is applied to each item's Spotlight Comments).  
![](http://ianthekirkland.com/imgs/km-SpotlightComment-Names.png "km-SpotlightComment-Names.png")  
  
#### Copy Spotlight Comments  
The Copy Spotlight Comments action, like it siblings "Cut Spotlight Comments" and "Paste Spotlight Comments", is designed to be as simple as its name sounds: the Spotlight Comments of every selected Finder item are copied as a single, concatenated, comma-separated list and placed on the clipboard as text.  
![](http://ianthekirkland.com/imgs/km-SpotlightComment-Copy.png "km-SpotlightComment-Copy.png")  
  
#### Cut Spotlight Comments  
The Spotlight Comments of every selected Finder item are cut as a single, concatenated, comma-separated list and placed on the clipboard as text.  
![](http://ianthekirkland.com/imgs/km-SpotlightComment-Cut.png "km-SpotlightComment-Cut.png")  
  
#### Paste Spotlight Comments  
The current clipboard is pasted to the Spotlight Comments of all selected Finder items and gives you the choice of appending to or replacing existing comments.  
![](http://ianthekirkland.com/imgs/km-SpotlightComment-Paste.png "km-SpotlightComment-Paste.png")  
  
  
  
Additional Notes  
-----------------------
  
* A comma, followed by a single space [", "] is used to separate existing comments and appended comments. The actions will detect whether such a separator exists or not and will adapt accordingly.  
* Please <a href="mailto:ianthekirkland@me.com?subject=Quick Smart Folders Bug">report bugs</a> to me, Ian Kirkland, at: <mailto:ianthekirkland@me.com>  
  
  
  
Legal  
-----------------------
  
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  


